Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.pattern
Class RegexpPatternDefinitionResolver<T>

    java.lang.Object
      org.apache.tiles.definition.pattern.RegexpPatternDefinitionResolver<T>

Type Parameters:
  `T` - The customization key class.

All Implemented Interfaces:
  PatternDefinitionResolver<T>

    public class RegexpPatternDefinitionResolver<T>

extends java.lang.Object
implements PatternDefinitionResolver<T>

Matches definition patterns through the use of regular expressions. To allow the use of regular expression, remember to set the definition name with a tilde (~) as the first character.

Since:
  2.2.0
Version:
  $Rev: 823662 $ $Date: 2009-10-09 20:48:03 +0200 (ven, 09 ott 2009) $

Constructor Summary
`RegexpPatternDefinitionResolver()`

Method Summary
`Definition` | `resolveDefinition(java.lang.String name, T customizationKey)` Resolves a definition searching in all patterns for the requested customization key.
`java.util.Map<java.lang.String,Definition>` | `storeDefinitionPatterns(java.util.Map<java.lang.String,Definition> localeDefsMap, T customizationKey)` Stores definition patterns.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpPatternDefinitionResolver

    public RegexpPatternDefinitionResolver()

Method Detail

### resolveDefinition

    public Definition resolveDefinition(java.lang.String name,
                                        T customizationKey)

  Resolves a definition searching in all patterns for the requested customization key.

  Specified by:
    `resolveDefinition` in interface `PatternDefinitionResolver<T>`
  Parameters:
    `name` - The name of the definition.
    `customizationKey` - The customization key.
  Returns:
    The resolved definition.

### storeDefinitionPatterns

    public java.util.Map<java.lang.String,Definition> storeDefinitionPatterns(java.util.Map<java.lang.String,Definition> localeDefsMap,
                                                                              T customizationKey)

  Stores definition patterns.

  Specified by:
    `storeDefinitionPatterns` in interface `PatternDefinitionResolver<T>`
  Parameters:
    `localeDefsMap` - The map of definitions that may contain also patterns.
    `customizationKey` - The customization key.
  Returns:
    The map of the definitions not recognized as containing definition patterns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.